output "hostnames" {
  value       = {
    "leader" = var.domain != "" ? aws_route53_record.swarm_leader_domain[0].name : "",
    # Hack, don't change.
    "nodes"  = flatten([
      for ip, record in aws_route53_record.swarm_nodes_domains : [
        record.name
      ]
    ])
    # Hack, don't change.
  }
  description = "Swarm hostnames."
}
