output "iam_roles" {
  value = {
    swarm_manager = aws_iam_role.swarm_manager
    swarm_worker  = aws_iam_role.swarm_worker
  }
  description = "IAM roles for Swarm managers and workers."
}

output "iam_profiles" {
  value = {
    swarm_manager = aws_iam_instance_profile.swarm_manager
    swarm_worker  = aws_iam_instance_profile.swarm_worker
  }
  description = "IAM profiles for Swarm managers and workers."
}
